Author Topic: HippoEDIT 1.61.51 released  (Read 461 times)

Offline alex

  • Developer
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2215
  • Karma: +37/-3
    • HippoEDIT
HippoEDIT 1.61.51 released
« on: February 27, 2018, 01:05:29 AM »
HippoEDIT 1.61 for Win 32 bit (Unicode)
HippoEDIT 1.61 for Win 64 bit (Unicode)
HippoEDIT 1.61 for Win 32 bit (Non-Unicode)

*All installers contain PDB files for better crash reporting, so sizes are rather big (approx 24 mb), but this does not influence performance.

HippoEDIT 1.61.51 is out:
I have decided to switch back to "beta" mode for update builds and keep release build stable without updates. To be updated more seldom. The reason for this - frequent blocks from antivirus programs (e.g Symantec Norton Antivirus). Except for minor version update and no direct link on the website for betas, the process is same as before.

  • Fixed. Crash after closing Options dialog.
  • Fixed. Nested parentheses are matched incorrectly.
  • Fixed. HippoEDIT crashes on workspace change
  • Added. The logic for finding the file on double click if the file name is not fully qualified is extended.
    Now HippoEDIT searching for the file in:
    - Initial directory of the tool.
    - The directory of the current file
    - Working directory
    - Windows Current directory
  • Fixed. User dictionary for Spell Check Plugin is not persisted (added words are not restored on next start)

--------------------------
Live Colors plugin from version 1.60 is not supported, you need to use 1.61 adopted plugin version found under links below. Download and install the bundle file (works for any HippoEDIT architecture, e.g x86/x64). The online repository not supporting yet different versions of plugins for different HippoEDIT versions.

Live Colors plugin bundle for HippoEDIT 1.61
« Last Edit: May 02, 2018, 11:36:15 PM by alex »

Offline oblivion

  • Newbie
  • *
  • Posts: 10
  • Karma: +0/-0
Re: HippoEDIT 1.61.51 released
« Reply #1 on: March 10, 2018, 09:38:55 AM »
HippoEDIT 1.61.51 is out:
I have decided to switch back to "beta" mode for update builds and keep release build stable without updates.

I noticed that my installed HippoEDIT (1.61.49) wasn't seeing this update, so I downloaded and installed .51 manually.

.51's update checker can't see itself!

I get the reason for reducing the update frequency -- F-Secure blocked the .51 installer -- but won't most users be well aware of the issue anyway and know how to give their AV the appropriate "ignore" instruction? Or am I wrong in assuming that HE's user community to be mostly power users?

-- bests, Tim


Offline alex

  • Developer
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2215
  • Karma: +37/-3
    • HippoEDIT
Re: HippoEDIT 1.61.51 released
« Reply #2 on: March 12, 2018, 12:34:19 AM »
Hello Tim,

it was a "bug". I have forgotten to API update the cache on the web-site so the update was not visible. Now shall be OK.

I have only decided to not change released version often, but not a beta. And it was for new users downloading HippoEDIT from the website but from update checker.

Best regards,
Alex.

Offline oblivion

  • Newbie
  • *
  • Posts: 10
  • Karma: +0/-0
Re: HippoEDIT 1.61.51 released
« Reply #3 on: March 13, 2018, 09:04:48 AM »
That's changed things.

However, oddly, the update checker still thought I was running .49 so offered me .51 anyway. Despite the fact that I'd downloaded and installed .51 and the last time I ran the update checker it could see .51 at my end but only .49 online.

So I let the update checker install .51 and everything's in sync again :)

Offline alex

  • Developer
  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2215
  • Karma: +37/-3
    • HippoEDIT
Re: HippoEDIT 1.61.51 released
« Reply #4 on: March 13, 2018, 02:57:42 PM »
Did not get what has happened, but hope everything is fine now :)